<template>
  <section
    role="dialog"
    tabindex="-1"
    aria-modal="true"
    aria-labelledby="modal-heading-01"
    class="slds-modal slds-fade-in-open"
  >
    <div
      class="slds-modal__container movie-modal-style slds-var-p-around_medium"
    >
      <div
        class="slds-modal__content slds-var-p-around_small"
        style="overflow: initial"
      >
        <lightning-card class="modal-grey">
          <!-- movie avatar -->
          <div class="slds-text-align_center">
            <img style="height: 400px" src={movieAvatar} />
          </div>
          <!-- movie details -->
          <div class="slds-var-p-left_xx-large slds-var-p-top_small">
            <p><strong>Name: </strong>{movie.name}</p>
            <p><strong>Category: </strong>{movie.category}</p>
            <p><strong>Release Date: </strong>{movie.releaseDate}</p>
            <p><strong>Discription: </strong>{movie.description}</p>
          </div>
          <!-- cancel preview button -->
          <div class="slds-grid slds-grid_align-end">
            <div class="slds-col">
              <a class="slds-button slds-button_brand" onclick={handleDelete}
                >Delete</a
              >
              <a class="slds-button slds-button_brand" onclick={handleUpdate}
                >Update</a
              >
              <a
                class="slds-button slds-button_neutral"
                onclick={handleCancelPreview}
                >Cancel</a
              >
            </div>
          </div>
        </lightning-card>
      </div>
    </div>
  </section>
</template>
